# Drop-off Locations

## /carriers/locations/drop-off

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/carriers/locations/drop-off`

This endpoint allows you to get a list of Drop-off locations.

#### Query Parameters

| Name                                      | Type   | Description                                                      |
| ----------------------------------------- | ------ | ---------------------------------------------------------------- |
| country<mark style="color:red;">\*</mark> | String | ISO-2 country code                                               |
| state                                     | String | Specify the state to which drop-off locations should be returned |
| city                                      | String | Specify city to which drop-off locations should be returned      |
| carrier<mark style="color:red;">\*</mark> | String | Specify carrier for drop-off locations                           |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Set value to `Bearer SECRET_KEY` |
| Content-Type                                    | String | Set value to `application/json`  |

{% tabs %}
{% tab title="200 List of drop-off locations" %}

```
{
    "status": true,
    "message": "List of drop-off locations",
    "data": [
        {
            "_id": "6481ba1d1188097217dde7e5",
            "address": "Royal Bed Estate, 1 Afolabi Aina Street By New Alade Market",
            "carrier": "sendbox",
            "city": "Ikeja",
            "country": "NG",
            "email": "",
            "phone": "2349087792932",
            "state": "Lagos",
            "drop_off_location_id": "DO-3TWJFCNM2HM8TPJR",
            "__v": 0,
            "created_at": "2023-06-08T11:23:09.866Z",
            "updated_at": "2023-06-08T11:23:09.866Z",
            "id": "6481ba1d1188097217dde7e5"
        },
        {
            "_id": "6481ba1d1188097217dde7e6",
            "address": "41 Oritshe Street off Balogun Bus Stop, Awolowo, Ikeja",
            "carrier": "sendbox",
            "city": "Ikeja",
            "country": "NG",
            "email": "",
            "phone": "2349087792932",
            "state": "Lagos",
            "drop_off_location_id": "DO-47EQ7S8GVHTYUT5B",
            "__v": 0,
            "created_at": "2023-06-08T11:23:09.866Z",
            "updated_at": "2023-06-08T11:23:09.866Z",
            "id": "6481ba1d1188097217dde7e6"
        },
        {
            "_id": "6481ba1d1188097217dde7f4",
            "address": "Aramex logistics Center, Pilgrims and Cargo Terminal,MM1 Airport road, Ikeja-Lagos.",
            "carrier": "aramex",
            "city": "Ikeja",
            "country": "NG",
            "email": "",
            "phone": "",
            "state": "Lagos",
            "drop_off_location_id": "DO-COY31LL38XZEFFIM",
            "__v": 0,
            "created_at": "2023-06-08T11:23:09.866Z",
            "updated_at": "2023-06-08T11:23:09.866Z",
            "id": "6481ba1d1188097217dde7f4"
        },
        {
            "_id": "6481ba1d1188097217dde7fd",
            "address": "14, TOYIN STREET, IKEJA, LAGOS-STATE, IKEJA\n, LAGOS\nSTATE",
            "carrier": "ups",
            "city": "Ikeja",
            "country": "NG",
            "email": "",
            "phone": "",
            "state": "Lagos",
            "drop_off_location_id": "DO-BTVXER8CM6FSWSBB",
            "__v": 0,
            "created_at": "2023-06-08T11:23:09.867Z",
            "updated_at": "2023-06-08T11:23:09.867Z",
            "id": "6481ba1d1188097217dde7fd"
        },
        {
            "_id": "6481ba1d1188097217dde822",
            "address": "50/52 TOYIN SREET, IKEJA",
            "carrier": "fedex",
            "city": "Ikeja",
            "country": "NG",
            "email": "",
            "phone": "",
            "state": "Lagos",
            "drop_off_location_id": "DO-WA6HVCXFSWNI9X7I",
            "__v": 0,
            "created_at": "2023-06-08T11:23:09.868Z",
            "updated_at": "2023-06-08T11:23:09.868Z",
            "id": "6481ba1d1188097217dde822"
        },
        {
            "_id": "6481ba1d1188097217dde82c",
            "address": "74,OPEBI ROAD IKEJA",
            "carrier": "fedex",
            "city": "Ikeja",
            "country": "NG",
            "email": "",
            "phone": "",
            "state": "Lagos",
            "drop_off_location_id": "DO-1D1R7RB1X01ZZ278",
            "__v": 0,
            "created_at": "2023-06-08T11:23:09.868Z",
            "updated_at": "2023-06-08T11:23:09.868Z",
            "id": "6481ba1d1188097217dde82c"
        },
        {
            "_id": "6481ba1d1188097217dde85b",
            "address": "45 allen avenue, opposite studio 24",
            "carrier": "dhl-ng",
            "city": "Ikeja",
            "country": "NG",
            "email": "esther.nwajei@dhl.com",
            "phone": "2348039077000",
            "state": "Lagos",
            "drop_off_location_id": "DO-NZJL3G5DKO654ESG",
            "__v": 0,
            "created_at": "2023-06-08T11:23:09.869Z",
            "updated_at": "2023-06-08T11:23:09.869Z",
            "id": "6481ba1d1188097217dde85b"
        },
        {
            "_id": "6481ba1d1188097217dde85c",
            "address": "41 Joel Ogunnaike Steet Ikeja GRA",
            "carrier": "dhl-ng",
            "city": "Ikeja",
            "country": "NG",
            "email": "esther.nwajei@dhl.com",
            "phone": "2348039077000",
            "state": "Lagos",
            "drop_off_location_id": "DO-NQHISW914YKTSECA",
            "__v": 0,
            "created_at": "2023-06-08T11:23:09.869Z",
            "updated_at": "2023-06-08T11:23:09.869Z",
            "id": "6481ba1d1188097217dde85c"
        },
        {
            "_id": "6481ba1d1188097217dde85d",
            "address": "NAHCO",
            "carrier": "dhl-ng",
            "city": "Ikeja",
            "country": "NG",
            "email": "esther.nwajei@dhl.com",
            "phone": "2348039077000",
            "state": "Lagos",
            "drop_off_location_id": "DO-QN6D6LA74FC103TL",
            "__v": 0,
            "created_at": "2023-06-08T11:23:09.869Z",
            "updated_at": "2023-06-08T11:23:09.869Z",
            "id": "6481ba1d1188097217dde85d"
        },
        {
            "_id": "6481ba1d1188097217dde860",
            "address": "79 Awolowo way,Ikeja.",
            "carrier": "dhl-ng",
            "city": "Ikeja",
            "country": "NG",
            "email": "",
            "phone": "2349133768866",
            "state": "Lagos",
            "drop_off_location_id": "DO-6RAUI3503924OWSP",
            "__v": 0,
            "created_at": "2023-06-08T11:23:09.869Z",
            "updated_at": "2023-06-08T11:23:09.869Z",
            "id": "6481ba1d1188097217dde860"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/carrier/drop-off-locations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
